org.apache.poi.hslf.usermodel

## Class HSLFTitleMaster

- java.lang.Object
- - org.apache.poi.hslf.usermodel.HSLFSheet
  - - org.apache.poi.hslf.usermodel.HSLFMasterSheet
    - - org.apache.poi.hslf.usermodel.HSLFTitleMaster

- All Implemented Interfaces:
    java.lang.Iterable<HSLFShape>, HSLFShapeContainer, MasterSheet<HSLFShape,HSLFTextParagraph>, ShapeContainer<HSLFShape,HSLFTextParagraph>, Sheet<HSLFShape,HSLFTextParagraph>

      public final class HSLFTitleMaster
      extends HSLFMasterSheet

  Title masters define the design template for slides with a Title Slide layout.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSLFTitleMaster(Slide record, int sheetNo)` Constructs a TitleMaster

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HSLFMasterSheet` | `getMasterSheet()` Returns the slide master for this title master.
    `TextPropCollection` | `getPropCollection(int txtype, int level, java.lang.String name, boolean isCharacter)` Delegate the call to the underlying slide master.
    `java.util.List<java.util.List<HSLFTextParagraph>>` | `getTextParagraphs()` Returns an array of all the TextRuns found

    - ### Methods inherited from class org.apache.poi.hslf.usermodel.HSLFMasterSheet

      `isPlaceholder`

    - ### Methods inherited from class org.apache.poi.hslf.usermodel.HSLFSheet

      `_getSheetNumber, _getSheetRefId, addShape, allocateShapeId, createAutoShape, createConnector, createFreeform, createGroup, createOleShape, createPicture, createTable, createTextBox, draw, getBackground, getColorScheme, getFollowMasterGraphics, getHeadersFooters, getPlaceholder, getPlaceholderByTextType, getPlaceholderDetails, getPPDrawing, getProgrammableTag, getShapes, getSheetContainer, getSlideShow, iterator, onAddTextShape, onCreate, removeShape, setSlideShow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.MasterSheet

      `getPlaceholder`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.Sheet

      `draw, getBackground, getFollowMasterGraphics, getPlaceholderDetails, getSlideShow`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.ShapeContainer

      `addShape, createAutoShape, createConnector, createFreeform, createGroup, createOleShape, createPicture, createTable, createTextBox, getShapes, removeShape`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Constructor Detail

    - #### HSLFTitleMaster

          public HSLFTitleMaster(Slide record,
                                 int sheetNo)

      Constructs a TitleMaster

  - ### Method Detail

    - #### getTextParagraphs

          public java.util.List<java.util.List<HSLFTextParagraph>> getTextParagraphs()

      Returns an array of all the TextRuns found
      Specified by:
        `getTextParagraphs` in class `HSLFSheet`

    - #### getPropCollection

          public TextPropCollection getPropCollection(int txtype,
                                                      int level,
                                                      java.lang.String name,
                                                      boolean isCharacter)

      Delegate the call to the underlying slide master.
      Specified by:
        `getPropCollection` in class `HSLFMasterSheet`
      Parameters:
        `txtype` - the `TextHeaderAtom` type
        `level` - the indent level of the paragraph, if the level is not defined for the found collection, the highest existing level will be used
        `name` - the property name,
        `isCharacter` - if `true` use character styles, otherwise use paragraph styles

    - #### getMasterSheet

          public HSLFMasterSheet getMasterSheet()

      Returns the slide master for this title master.
      Specified by:
        `getMasterSheet` in interface `Sheet<HSLFShape,HSLFTextParagraph>`
      Specified by:
        `getMasterSheet` in class `HSLFSheet`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.